## Value

# Type Alias Value

Source

    pub type Value<'tcx> = ImplTraitHeader<'tcx>;

## Aliased Type§

    pub struct Value<'tcx> {
        pub trait_ref: EarlyBinder<TyCtxt<'tcx>, TraitRef<TyCtxt<'tcx>>>,
        pub polarity: ImplPolarity,
        pub safety: Safety,
        pub constness: Constness,
    }

## Fields§

§`trait_ref: EarlyBinder<TyCtxt<'tcx>, TraitRef<TyCtxt<'tcx>>>`§`polarity: ImplPolarity`§`safety: Safety`§`constness: Constness`

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 24 bytes